package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.ConexionRutaConf;
import com.rjconsultores.ventaboletos.entidad.ConexionRutaCtrl;
import com.rjconsultores.ventaboletos.vo.conexion.ConexionRutaVO;

public interface ConexionRutaCtrlService {
	
	public ConexionRutaCtrl suscribir(ConexionRutaCtrl conexion);

	public ConexionRutaCtrl actualizacion(ConexionRutaCtrl conexion);

	public void borrar(ConexionRutaCtrl conexion);

	public List<ConexionRutaCtrl> buscarPorConexionCtrl(Long conexcionCtrlId);
	
	public void borrar(List<ConexionRutaCtrl> lsConexion);
	
	public void suscribirTodos(List<ConexionRutaCtrl> conexiones);
	
	public List<ConexionRutaVO> buscarConexionesValidas();
	
	public List<ConexionRutaVO> buscarConexionesValidas(Integer rutaOrigemId, Integer rutaDestinoId);

	public List<ConexionRutaCtrl> buscarPorConexionConf(ConexionRutaConf conexionRutaConf);

}
